Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionSettings.Update(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.UpdateSessionSettingsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.sessionSettings.update();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/settings/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionSettings": {
"clientIdApprovalRequestPolicyId": "<string>",
"connectorSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"externalClientSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"externalClientsEnabled": true,
"maxSessionLength": "<string>",
"pccAdminSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"pccUserSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"ssoAdminSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"ssoUserSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
}
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/settings/session"
payload = {
"sessionSettings": {
"clientIdApprovalRequestPolicyId": "<string>",
"connectorSource": {
"enabled": True,
"sourceCidr": ["<string>"]
},
"externalClientSource": {
"enabled": True,
"sourceCidr": ["<string>"]
},
"externalClientsEnabled": True,
"maxSessionLength": "<string>",
"pccAdminSource": {
"enabled": True,
"sourceCidr": ["<string>"]
},
"pccUserSource": {
"enabled": True,
"sourceCidr": ["<string>"]
},
"ssoAdminSource": {
"enabled": True,
"sourceCidr": ["<string>"]
},
"ssoUserSource": {
"enabled": True,
"sourceCidr": ["<string>"]
}
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionSettings: {
clientIdApprovalRequestPolicyId: '<string>',
connectorSource: {enabled: true, sourceCidr: ['<string>']},
externalClientSource: {enabled: true, sourceCidr: ['<string>']},
externalClientsEnabled: true,
maxSessionLength: '<string>',
pccAdminSource: {enabled: true, sourceCidr: ['<string>']},
pccUserSource: {enabled: true, sourceCidr: ['<string>']},
ssoAdminSource: {enabled: true, sourceCidr: ['<string>']},
ssoUserSource: {enabled: true, sourceCidr: ['<string>']}
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/settings/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionSettings": {
"clientIdApprovalRequestPolicyId": "<string>",
"connectorSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"externalClientSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"externalClientsEnabled": true,
"maxSessionLength": "<string>",
"pccAdminSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"pccUserSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"ssoAdminSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
},
"ssoUserSource": {
"enabled": true,
"sourceCidr": [
"<string>"
]
}
}
}Session Settings
Update
Update modifies the session security settings for the tenant, such as session length and IP allowlists.
POST
/
api
/
v1
/
settings
/
session
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionSettings.Update(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.UpdateSessionSettingsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.sessionSettings.update();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
Response
200 - application/json
Successful response
The UpdateSessionSettingsResponse message.
SessionSettings configures session security for the tenant, including timeouts and per-role IP restrictions.
Show child attributes
Show child attributes
Was this page helpful?
⌘I